### Method

# GtkSource Buffer ensure_highlight

#### Declaration [src]

    void
    gtk_source_buffer_ensure_highlight (
      GtkSourceBuffer* buffer,
      const GtkTextIter* start,
      const GtkTextIter* end
    )

#### Description [src]

Forces buffer to analyze and highlight the given area synchronously.

Note:

This is a potentially slow operation and should be used only when you need to make sure that some text not currently visible is highlighted, for instance before printing.

#### Parameters

`start`

  Type: `GtkTextIter`

  Start of the area to highlight.

  The data is owned by the caller of the method.

`end`

  Type: `GtkTextIter`

  End of the area to highlight.

  The data is owned by the caller of the method.